.filters-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255);
  opacity: 0;
  visibility: hidden;
  z-index: 999;
  transition: opacity 0.3s ease-in-out, visibility 0.3s ease-in-out;
}

.filters-overlay.open {
  opacity: 1;
  visibility: visible;
}

.filter-overlay-content {

  .mobile-filter-header {
    padding: 22px 0px;
    background: $white;
    border-top: 1px solid $white-20;
    box-shadow: 0 1px 10px rgba(0, 0, 0, 0.12);

    #close-filters {
      line-height: 68px;
      float: right;
    }

    p {
      font-size: 24px;
      font-weight: 700;
      font-family: $secondary-font-family;
    }

    i {
      font-size: 20px;
      color: $black-100;
      text-align: right;
      cursor: pointer;
    }
  }

  .accordion-item {
    border-bottom: 1px solid $black-30;
    border-left: 0px;
    border-right: 0px;
    border-top: 0px;

    .accordion-button:not(.collapsed) {
      background-color: transparent;
      color: $black-100;

      &:after {
        background-image:var(--bs-accordion-btn-icon);
      }
    }

    .accordion-button {
      font-size: 16px;
      font-weight: 700;
      line-height: 24px;
      color: $black-100;
      font-family: $primary-font-family;

      &:focus {
        border-color:transparent;
        box-shadow:none;
      }
    }

  }

  p {
    font-size:14px;
    font-weight: 400;
    line-height: 20px;
    color: $black-100;
    text-align: center;
    padding: 25px 0px 15px 0px;
  }

  .btn-wrapper {
    position: fixed;
    bottom: 16px;
    width: 100%;
  }

  .filter-btns {
    text-align: center;
    margin: 0px auto;
    padding: 0px 15px;

    .primary-button {
      background: transparent;
      text-transform: uppercase;
      font-size: 14px;
      padding: 15px 17px;
      border: 1px solid $black-100;
      color: $black-100;
      display: inline-block;
      margin-right: 15px;
      min-width: 166px;

      &:hover {
        background: $black-100;
        color: $white;
      }
  }

  .secondary-button {
    background: $black-100;
    text-transform: uppercase;
    font-size: 14px;
    padding: 15px 17px;
    border: 1px solid $black-100;
    border: 1px solid $black-100;
    color: $white;
    display: inline-block;
    min-width: 166px;

    &:hover {
      background: transparent;
      color: $black-100;
    }

  }
  }
}
